<!DOCTYPE html>
<!--  This site was created in Webflow. http://www.webflow.com  -->
<!--  Last Published: Thu Jun 18 2020 04:39:01 GMT+0000 (Coordinated Universal Time)  -->
<html xmlns:th="http://www.thymeleaf.org" data-wf-page="5ee76f60a922ca25859e0810" data-wf-site="5ee76f60a922ca9dca9e080f">
<head>
    <meta charset="utf-8">
    <title>P&G Administrator</title>
    <meta content="width=device-width, initial-scale=1" name="viewport">
    <meta content="Webflow" name="generator">
    <link href="/admin/css/normalize.css" rel="stylesheet" type="text/css">
    <link href="/admin/css/webflow.css" rel="stylesheet" type="text/css">
    <link href="/admin/css/virt-admin-console.webflow.css" rel="stylesheet" type="text/css">
    <script src="https://ajax.googleapis.com/ajax/libs/webfont/1.6.26/webfont.js" type="text/javascript"></script>
    <script type="text/javascript">WebFont.load({google: {families: ["Montserrat:100,100italic,200,200italic,300,300italic,400,400italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic"]}});</script>
    <!-- [if lt IE 9]>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.min.js"
            type="text/javascript"></script><![endif] -->
    <script type="text/javascript">!function (o, c) {
        var n = c.documentElement, t = " w-mod-";
        n.className += t + "js", ("ontouchstart" in o || o.DocumentTouch && c instanceof DocumentTouch) && (n.className += t + "touch")
    }(window, document);</script>
    <link href="/images/favicon.ico" rel="shortcut icon" type="image/x-icon">
    <link href="/images/webclip.png" rel="apple-touch-icon">
</head>
<body class="the-body">
<div class="full-screen-sction">
    <div class="login-container w-container">
        <div class="login-box">
            <h1 class="title-text-1">RUNENVIKU Administrator</h1>
            <div class="caption">ADMIN CONSOLE</div>
            <div class="login-form-plock w-form">
                <form method="post" enctype="multipart/form-data" id="email-form"
                      name="email-form" data-name="Email Form" class="login-form">
                    <label for="username" class="label-text">Username</label>
                    <input type="text" class="text-field w-input" maxlength="256" name="username" data-name="username" placeholder="enter your login" id="username">
                    <label for="password">Password</label>
                    <input type="password" class="text-field w-input" maxlength="256" name="password" data-name="password" placeholder="enter your password" id="password" required="">

                    <div class="button-holder">
                        <input onclick="login()" type="button" value="Login" data-wait="Please wait..."  class="submit-button w-button">
                    </div>
                </form>
                <div class="w-form-done">
                    <div>Thank you! Your submission has been received!</div>
                </div>
                <div class="w-form-fail">
                    <div>Oops! Something went wrong while submitting the form.</div>
                </div>
            </div>
        </div>
    </div>
</div>
<a href="http://www.virtdigital.com/" target="_blank" class="powered-bar-login w-inline-block">
    <div>POWERED BY VIRT</div>
</a>

<script>
    function setCookie(cname, cvalue, exdays) {
        const d = new Date();
        d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
        const expires = "expires=" + d.toUTCString();
        document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

    function login() {
        $(".w-form-fail").hide();
        const username = document.getElementById("username").value;
        const password = document.getElementById("password").value;

        $.ajax({
            method: "POST",
            url: "/api/auth/signin",
            contentType: "application/json",
            dataType: "json",
            data: JSON.stringify({
                username: username,
                password: password
            }),
            success: function (response) {
                setCookie("_auth_runenviku", response.accessToken, 365);
                window.location = "/admin"
            },
            error: function () {
                $(".w-form-fail").show();
            }
        });
    }
</script>

<script src="https://d3e54v103j8qbb.cloudfront.net/js/jquery-3.4.1.min.220afd743d.js?site=5f1678e5cab0894c6994fa44" type="text/javascript" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
<script src="/admin/js/webflow.js" type="text/javascript"></script>
<!-- [if lte IE 9]>
<script src="https://cdnjs.cloudflare.com/ajax/libs/placeholders/3.0.2/placeholders.min.js"></script><![endif] -->
</body>
</html>